<?php
/**
 * $Horde: trean/search.php,v 1.15 2005/01/03 14:35:34 jan Exp $
 *
 * Copyright 2002-2005 Mike Cochrane <mike@graftonhall.co.nz>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/licenses/bsdl.php.
 */

@define('TREAN_BASE', dirname(__FILE__));
require_once TREAN_BASE . '/lib/base.php';

$title = _("Search");
require TREAN_TEMPLATES . '/common-header.inc';
require TREAN_TEMPLATES . '/menu.inc';
require TREAN_TEMPLATES . '/search/search.inc';

$actionID = Util::getFormData('actionID');
if ($actionID == 'search') {
    /* Create the filter. */
    $combine = Util::getFormData('combine', 'OR');
    $op = Util::getFormData('op', 'LIKE');

    // Set up criteria skeleton.
    $criteria = array(
        $combine => array(
        )
    );

    // Searching for URL?
    $url = Util::getFormData('url');
    if (!empty($url)) {
        $criteria[$combine][] = array(
            'AND' => array(
                array('field' => 'name', 'op' => '=', 'test' => 'url'),
                array('field' => 'value', 'op' => $op, 'test' => $url)));
    }

    // Searching title?
    if (strlen($t = Util::getFormData('title'))) {
        $criteria[$combine][] = array(
            'AND' => array(
                array('field' => 'name', 'op' => '=', 'test' => 'title'),
                array('field' => 'value', 'op' => $op, 'test' => $t)));
    }

    // Searching description?
    $description = Util::getFormData('description');
    if (!empty($description)) {
        $criteria[$combine][] = array(
            'AND' => array(
                array('field' => 'name', 'op' => '=', 'test' => 'description'),
                array('field' => 'value', 'op' => $op, 'test' => $description)));
    }

    /* Get the bookmarks. */
    $bookmarks = $trean_bookmarks->searchAllBookmarks($criteria);

    /* Number of columns to display. */
    $cols = $prefs->getValue('browse_columns');

    /* Display the results. */
    require TREAN_TEMPLATES . '/search/results_header.inc';

    if (count($bookmarks)) {
        require TREAN_TEMPLATES . '/search/results.inc';
    } else {
        require TREAN_TEMPLATES . '/search/results_none.inc';
    }
    require TREAN_TEMPLATES . '/search/results_footer.inc';
}

require_once $registry->get('templates', 'horde') . '/common-footer.inc';
